tapi-reexport(1)

NAME
tapi-reexport - Create a linker reexport file by scanning the header files

SYNOPSIS
tapi reexport [options] <inputs>

DESCRIPTION

The reexport command creates a linker reexport file by parsing the header files that are associated with a framework/dynamic library. The headers are parsed per default in Objective-C syntax mode. C++ support is still experimental.

OPTIONS

-arch <architecture>
    Specifies the architectures to use for parsing the headers. Exactly one architecture must be specified.

-macosx_version_min <value>
-ios_version_min <value>
-watchos_version_min <value>
-tvos_version_min <value>
    This is set to indicate the oldest platform version that that the output is to be used on.

-ObjC
    Treat source input files as Objective-C inputs (default).

-ObjC++
    Treat source input files as Objective-C++ inputs.

-x <language>
    Treat subsequent input files as having type <language>. Supported values for language are c, c++, objective-c, and objective-c++.

-std=<value>
    Language standard to compile for.

-D <value>
-U <value>
    Define/undefine macro.

-isysroot <directory>
    Specifies the path to the SDK directory.

-I <value>
    Add directory to include search path.

-L <value>
    Add directory to the library search path.

-F <value>
    Add directory to framework include search path.

-o <file>
    Write output to <file>.

-fno-rtti
    Disable generation of rtti information.

--help
    Prints the list of options.

SEE ALSO
tapi(1), ld(1)